﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartGettingStarted
{
    public class ChartSample : ContentPage
    {
        StackLayout stackLayout;

        SfChart chart;

        Button button;

        public ObservableCollection<ChartDataPoint> Data;

        ColumnSeries series;

        public ChartSample()
        {

            Data = new ObservableCollection<ChartDataPoint>();
            Data.Add(new ChartDataPoint("John", 160));
            Data.Add(new ChartDataPoint("David", 175));
            Data.Add(new ChartDataPoint("Michael", 180));
            Data.Add(new ChartDataPoint("Smith", 150));

            stackLayout = new StackLayout();
            stackLayout.VerticalOptions = LayoutOptions.FillAndExpand;
            stackLayout.HorizontalOptions = LayoutOptions.FillAndExpand;

            chart = new SfChart();
            chart.Legend = new ChartLegend();
            chart.Legend.ToggleSeriesVisibility = true;
            chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;

            button = new Button();
            button.Text = "Click Me";
            button.Clicked += Button_Clicked;

            CategoryAxis primaryAxis = new CategoryAxis();
            primaryAxis.Title.Text = "Name";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "Height (in cm)";
            chart.SecondaryAxis = secondaryAxis;

            series = new ColumnSeries();
            series.IsVisible = false;
            chart.Series.Add(series);

            stackLayout.Children.Add(button);
            stackLayout.Children.Add(chart);

            Content = stackLayout;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            series.ItemsSource = Data;
        }
    }
}
